;################################################################################
;#										#
;# Z80 emulator		 							#
;# copyright (c) 2009-2011 Joerg Wolfram (joerg@jcwolfram.de)			#
;#										#
;#										#
;# This program is free software; you can redistribute it and/or		#
;# modify it under the terms of the GNU General Public License			#
;# as published by the Free Software Foundation; either version 3		#
;# of the License, or (at your option) any later version.			#
;#										#
;# This program is distributed in the hope that it will be useful,		#
;# but WITHOUT ANY WARRANTY; without even the implied warranty of		#
;# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.See the GNU		#
;# General Public License for more details.					#
;#										#
;# You should have received a copy of the GNU General Public			#
;# License along with this library; if not, write to the			#
;# Free Software Foundation, Inc., 59 Temple Place - Suite 330,			#
;# Boston, MA 02111-1307, USA.							#
;#										#
;################################################################################


emu_flagtab_l:

	.db	0xea,0xe0,0xe0,0xe8,	0xe0,0xe8,0xe8,0xe0, 	0xe0,0xe8,0xe8,0xe0,	0xe8,0xe0,0xe0,0xe8 ;0n
	.db	0xe0,0xe8,0xe8,0xe0,	0xe8,0xe0,0xe0,0xe8, 	0xe8,0xe0,0xe0,0xe8,	0xe0,0xe8,0xe8,0xe0 ;1n
	.db	0xe0,0xe8,0xe8,0xe0,	0xe8,0xe0,0xe0,0xe8, 	0xe8,0xe0,0xe0,0xe8,	0xe0,0xe8,0xe8,0xe0 ;2n
	.db	0xe8,0xe0,0xe0,0xe8,	0xe0,0xe8,0xe8,0xe0, 	0xe0,0xe8,0xe8,0xe0,	0xe8,0xe0,0xe0,0xe8 ;3n

	.db	0xe0,0xe8,0xe8,0xe0,	0xe8,0xe0,0xe0,0xe8, 	0xe8,0xe0,0xe0,0xe8,	0xe0,0xe8,0xe8,0xe0 ;4n
	.db	0xe8,0xe0,0xe0,0xe8,	0xe0,0xe8,0xe8,0xe0, 	0xe0,0xe8,0xe8,0xe0,	0xe8,0xe0,0xe0,0xe8 ;5n
	.db	0xe8,0xe0,0xe0,0xe8,	0xe0,0xe8,0xe8,0xe0, 	0xe0,0xe8,0xe8,0xe0,	0xe8,0xe0,0xe0,0xe8 ;6n
	.db	0xe0,0xe8,0xe8,0xe0,	0xe8,0xe0,0xe0,0xe8, 	0xe8,0xe0,0xe0,0xe8,	0xe0,0xe8,0xe8,0xe0 ;7n

	.db	0xf4,0xfc,0xfc,0xf4,	0xfc,0xf4,0xf4,0xfc, 	0xfc,0xf4,0xf4,0xfc,	0xf4,0xfc,0xfc,0xf4 ;8n
	.db	0xfc,0xf4,0xf4,0xfc,	0xf4,0xfc,0xfc,0xf4, 	0xf4,0xfc,0xfc,0xf4,	0xfc,0xf4,0xf4,0xfc ;9n
	.db	0xfc,0xf4,0xf4,0xfc,	0xf4,0xfc,0xfc,0xf4, 	0xf4,0xfc,0xfc,0xf4,	0xfc,0xf4,0xf4,0xfc ;an
	.db	0xf4,0xfc,0xfc,0xf4,	0xfc,0xf4,0xf4,0xfc, 	0xfc,0xf4,0xf4,0xfc,	0xf4,0xfc,0xfc,0xf4 ;bn

	.db	0xfc,0xf4,0xf4,0xfc,	0xf4,0xfc,0xfc,0xf4, 	0xf4,0xfc,0xfc,0xf4,	0xfc,0xf4,0xf4,0xfc ;cn
	.db	0xf4,0xfc,0xfc,0xf4,	0xfc,0xf4,0xf4,0xfc, 	0xfc,0xf4,0xf4,0xfc,	0xf4,0xfc,0xfc,0xf4 ;dn
	.db	0xf4,0xfc,0xfc,0xf4,	0xfc,0xf4,0xf4,0xfc, 	0xfc,0xf4,0xf4,0xfc,	0xf4,0xfc,0xfc,0xf4 ;en
	.db	0xfc,0xf4,0xf4,0xfc,	0xf4,0xfc,0xfc,0xf4, 	0xf4,0xfc,0xfc,0xf4,	0xfc,0xf4,0xf4,0xfc ;fn


emu_flagtab_r:

	.db	0xca,0xc0,0xc0,0xc8,	0xc0,0xc8,0xc8,0xc0, 	0xc0,0xc8,0xc8,0xc0,	0xc8,0xc0,0xc0,0xc8 ;0n
	.db	0xc0,0xc8,0xc8,0xc0,	0xc8,0xc0,0xc0,0xc8, 	0xc8,0xc0,0xc0,0xc8,	0xc0,0xc8,0xc8,0xc0 ;1n
	.db	0xc0,0xc8,0xc8,0xc0,	0xc8,0xc0,0xc0,0xc8, 	0xc8,0xc0,0xc0,0xc8,	0xc0,0xc8,0xc8,0xc0 ;2n
	.db	0xc8,0xc0,0xc0,0xc8,	0xc0,0xc8,0xc8,0xc0, 	0xc0,0xc8,0xc8,0xc0,	0xc8,0xc0,0xc0,0xc8 ;3n

	.db	0xc0,0xc8,0xc8,0xc0,	0xc8,0xc0,0xc0,0xc8, 	0xc8,0xc0,0xc0,0xc8,	0xc0,0xc8,0xc8,0xc0 ;4n
	.db	0xc8,0xc0,0xc0,0xc8,	0xc0,0xc8,0xc8,0xc0, 	0xc0,0xc8,0xc8,0xc0,	0xc8,0xc0,0xc0,0xc8 ;5n
	.db	0xc8,0xc0,0xc0,0xc8,	0xc0,0xc8,0xc8,0xc0, 	0xc0,0xc8,0xc8,0xc0,	0xc8,0xc0,0xc0,0xc8 ;6n
	.db	0xc0,0xc8,0xc8,0xc0,	0xc8,0xc0,0xc0,0xc8, 	0xc8,0xc0,0xc0,0xc8,	0xc0,0xc8,0xc8,0xc0 ;7n
	
	.db	0xd4,0xdc,0xdc,0xd4,	0xdc,0xd4,0xd4,0xdc, 	0xdc,0xd4,0xd4,0xdc,	0xd4,0xdc,0xdc,0xd4 ;8n
	.db	0xdc,0xd4,0xd4,0xdc,	0xd4,0xdc,0xdc,0xd4, 	0xd4,0xdc,0xdc,0xd4,	0xdc,0xd4,0xd4,0xdc ;9n
	.db	0xdc,0xd4,0xd4,0xdc,	0xd4,0xdc,0xdc,0xd4, 	0xd4,0xdc,0xdc,0xd4,	0xdc,0xd4,0xd4,0xdc ;an
	.db	0xd4,0xdc,0xdc,0xd4,	0xdc,0xd4,0xd4,0xdc, 	0xdc,0xd4,0xd4,0xdc,	0xd4,0xdc,0xdc,0xd4 ;bn
	
	.db	0xdc,0xd4,0xd4,0xdc,	0xd4,0xdc,0xdc,0xd4, 	0xd4,0xdc,0xdc,0xd4,	0xdc,0xd4,0xd4,0xdc ;cn
	.db	0xd4,0xdc,0xdc,0xd4,	0xdc,0xd4,0xd4,0xdc, 	0xdc,0xd4,0xd4,0xdc,	0xd4,0xdc,0xdc,0xd4 ;dn
	.db	0xd4,0xdc,0xdc,0xd4,	0xdc,0xd4,0xd4,0xdc, 	0xdc,0xd4,0xd4,0xdc,	0xd4,0xdc,0xdc,0xd4 ;en
	.db	0xdc,0xd4,0xd4,0xdc,	0xd4,0xdc,0xdc,0xd4, 	0xd4,0xdc,0xdc,0xd4,	0xdc,0xd4,0xd4,0xdc ;fn
