;################################################################################
;#										#
;# copyright (c) 2005-2010 Joerg Wolfram (joerg@jcwolfram.de)			#
;#										#
;# This program is free software; you can redistribute it and/or		#
;# modify it under the terms of the GNU Lesser General Public			#
;# License as published by the Free Software Foundation; either			#
;# version 3 of the License, or (at your option) any later version.		#
;#										#
;# This library is distributed in the hope that it will be useful,		#
;# but WITHOUT ANY WARRANTY; without even the implied warranty of		#
;# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.	See the GNU		#
;# Lesser General Public License for more details.				#
;#										#
;# You should have received a copy of the GNU Lesser General Public		#
;# License along with this library; if not, write to the			#
;# Free Software Foundation, Inc., 59 Temple Place - Suite 330,			#
;# Boston, MA 02111-1307, USA.							#
;#										#
;################################################################################

vsys_skeys_sp:	push	r16
		push	r17
		push	YL
		push	YH
		push	ZL
		push	ZH
		ldi	r17,0xff
		lds	r16,vsys_sborder
		sbrs	r16,4
		ldi	r17,0xbf		;issue 3
		ldi	ZH,HIGH(kmatrix_spec/4)
		lds	ZL,vsys_keycode		;get current keycode
		lsl	ZL
		rol	ZH
		lsl	ZL
		rol	ZH
		lsl	ZL
		rol	ZH
		ldi	YL,LOW(vsys_kbuf)
		ldi	YH,HIGH(vsys_kbuf)
		ldi	r16,0xff
		ldi	XH,8
vsys_skeys_2:	elpm	XL,Z+
		and	XL,r17
		st	Y+,XL
		and	r16,XL
		dec	XH
		brne	vsys_skeys_2
		ldi	YL,LOW(vsys_kbuf)
		ldi	YH,HIGH(vsys_kbuf)
		lds	XL,vsys_kbdstate
		ldd	XH,Y+7
		andi	XH,0xfd
		sbrc	XL,3			;right CTRL = symbol shift
		std	Y+7,XH
		ld	XH,Y
		andi	XH,0xfe
		sbrc	XL,2			;left CTRL = symbol shift
		st	Y,XH
		std	Y+15,r16
		ldd	r16,Y+3			;1 to 0 row
		ldd	r17,Y+4
		and	r16,r17
		std	Y+8,r16
		ldd	r16,Y+2			;Q to P row
		ldd	r17,Y+5
		and	r16,r17
		std	Y+9,r16
		ldd	r16,Y+1			;A to ENT row
		ldd	r17,Y+6
		and	r16,r17
		std	Y+10,r16
		ld	r16,Y			;Z to SP row
		ldd	r17,Y+7
		and	r16,r17
		std	Y+11,r16
		ld	r16,Y			;left column
		ldd	r17,Y+1
		and	r16,r17
		ldd	r17,Y+2
		and	r16,r17
		ldd	r17,Y+3
		and	r16,r17
		std	Y+12,r16
		ldd	r16,Y+4			;left column
		ldd	r17,Y+5
		and	r16,r17
		ldd	r17,Y+6
		and	r16,r17
		ldd	r17,Y+7
		and	r16,r17
		std	Y+13,r16
		pop	ZH
		pop	ZL
		pop	YH
		pop	YL
		pop	r17
		pop	r16
vsys_skeys_3:	ret

