
.macro getmembyte				;11 clocks RAM / 12 clocks ROM
		mov	ZL,@2			;1 HIGH address
		ldi	ZH,HIGH(emu_memtab)	;1 memory table
		ld	ZH,Z			;2 this is our new address
		mov	ZL,@1			;1 LOW address
		sbrc	ZH,7			;1/2 skip if RAM
		rjmp	PC+3			;2 goto ROM
		ld	@0,Z			;3
		rjmp	PC+3			;2
		mov	ZH,@2			;1 HIGH address
		lpm	@0,Z			;3
.endm

.macro getmemword				;16 clocks
		getmembyte @0,@2,@3		;7
		add	@2,const_1
		adc	@3,const_0
		getmembyte @1,@2,@3		;7
		sub	@2,const_1
		sbc	@3,const_0
.endm

.macro putmembyte
		out	GPIOR2,@2		;1
		mov	ZL,@2			;1 HIGH address
		ldi	ZH,HIGH(emu_memtab)	;1 memory table
		ld	ZH,Z			;2 this is our new address
		mov	ZL,@1			;1 LOW addresss
		sbrc	ZH,7			;1/2 skip if RAM
		call	emu_newpage		;(nn) try to create a new page
		st	Z,@0			;2 put data to RAM
.endm

.macro putmemword				;28 clocks
		putmembyte @0,@2,@3		;7
		add	@2,const_1
		adc	@3,const_0
		putmembyte @1,@2,@3		;7
		sub	@2,const_1
		sbc	@3,const_0
.endm

