;################################################################################
;#										#
;# vsys - multi i/o for ATMega644						#
;# copyright (c) 2005-2010 Joerg Wolfram (joerg@jcwolfram.de)			#
;#										#
;#										#
;# This library is free software; you can redistribute it and/or		#
;# modify it under the terms of the GNU Lesser General Public			#
;# License as published by the Free Software Foundation; either			#
;# version 3 of the License, or (at your option) any later version.		#
;#										#
;# This library is distributed in the hope that it will be useful,		#
;# but WITHOUT ANY WARRANTY; without even the implied warranty of		#
;# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.	See the GNU		#
;# Lesser General Public License for more details.				#
;#										#
;# You should have received a copy of the GNU Lesser General Public		#
;# License along with this library; if not, write to the			#
;# Free Software Foundation, Inc., 59 Temple Place - Suite 330,			#
;# Boston, MA 02111-1307, USA.							#
;#										#
;################################################################################

;--------------------------------------------------------------------------------
; video mode definitions for TV (PAL mode)
;--------------------------------------------------------------------------------
.equ	vsys_counter_t = 1280		;24MHz / Fhor
.equ	vsys_hint_t = 200		;horizontal INT
.equ	vsys_hslen_t = 96		;HSYNC length
.equ	vsys_hstart_t = 236		;HOR datastart
.equ	vsys_tdelay = 0x97		;timer delay
.equ	vsys_bend_t = 28		;border end
.equ	vsys_brate = 47			;(f*2)-1 for 31,25KHz

.equ	vsys_vstart_t = 241
.equ	vsys_vstop_t = 244
.equ	vsys_vbstart_t = 13
.equ	vsys_vbstop_t = 230
.equ	vsys_vlines_t = 313


